%define tar_ver	%(echo %{version}|sed -e 's/\\./\\_/g')

Name:		jamulus
Version:	3.10.0
Release:	%mkrel 1
Summary:	Low-latency internet connection tool for real-time jam sessions
License:        GPLv2+
Group:		Sound/Utilities
URL:		https://llcon.sourceforge.net/
# https://sourceforge.net/projects/llcon/files/Jamulus/%%{version}/Jamulus-%%{version}.tar.gz
Source0:	https://github.com/corrados/jamulus/archive/r%{tar_ver}/%{name}-%{version}.tar.gz
BuildRequires:	imagemagick
BuildRequires:	gcc-c++
BuildRequires:	pkgconfig(jack)
BuildRequires:	pkgconfig(Qt6Concurrent)
BuildRequires:	pkgconfig(Qt6Core)
BuildRequires:	pkgconfig(Qt6Gui)
BuildRequires:	pkgconfig(Qt6Multimedia)
BuildRequires:	pkgconfig(Qt6Network)
BuildRequires:	pkgconfig(Qt6Widgets)
BuildRequires:	pkgconfig(Qt6Xml)
BuildRequires:	pkgconfig(opus)
Requires:	jackit

Provides:	Jamulus = %{version}-%{release}

%description
The Jamulus software enables musicians to perform real-time jam sessions over
the internet. There is one server running the Jamulus server software which
collects the audio data from each Jamulus client software, mixes the audio data
and sends the mix back to each client.

%prep
%autosetup -n %{name}-r%{tar_ver}

%build
%qmake_qt6 PREFIX=%{_prefix} \
           CONFIG+=opus_shared_lib \
           CONFIG+=disable_version_check
%make_build

%install
%make_install INSTALL_ROOT=%{buildroot}

%files
%doc README.md ChangeLog
%license COPYING
%{_bindir}/Jamulus
%{_datadir}/applications/%{name}.desktop
%{_datadir}/applications/%{name}-server.desktop
%{_iconsdir}/hicolor/*/apps/io.jamulus.%{name}.png
%{_iconsdir}/hicolor/scalable/apps/io.jamulus.%{name}.svg
%{_iconsdir}/hicolor/scalable/apps/io.jamulus.%{name}server.svg
%{_mandir}/man1/Jamulus.1*


%changelog
* Wed Sep 20 2023 daviddavid <daviddavid> 3.10.0-1.mga10
+ Revision: 1988277
- new version: 3.10.0

* Sun Jan 15 2023 daviddavid <daviddavid> 3.9.1-2.mga9
+ Revision: 1933650
- switch to Qt6

* Sun Jan 15 2023 daviddavid <daviddavid> 3.9.1-1.mga9
+ Revision: 1933644
- new version: 3.9.1

* Sun Apr 03 2022 umeabot <umeabot> 3.6.2-2.mga9
+ Revision: 1842129
- Mageia 9 Mass Rebuild

* Thu Dec 17 2020 daviddavid <daviddavid> 3.6.2-1.mga8
+ Revision: 1659326
- new version: 3.6.2

* Thu Dec 17 2020 umeabot <umeabot> 3.4.7-2.mga8
+ Revision: 1658615
- Rebuild for new Qt5

* Wed Apr 15 2020 daviddavid <daviddavid> 3.4.7-1.mga8
+ Revision: 1567409
- initial package jamulus

